<template>
  <div class="container">
    <header class="jumbotron">
      <div v-for="item in beegardens" v-bind:key="item.id">
        <div class="jumbotron">
          <div>ID Pasieki: {{ item.id }}</div>
          <div>Nazwa Pasieki: {{ item.beegardenName }}</div>
          <div>Lokalizacja Pasieki: {{ item.location }}</div>
          <button v-on:click="openSpecificBeegarden(item.id)">Zobacz ule należące do tej pasieki</button>
          <button>Edytuj detale tej pasieki</button>
          <button>Usuń tą pasiekę</button>
        </div>
      </div>
    </header>
  </div>
</template>

<script>
import BeegardenService from '../../services/beegarden.service';

export default {
  name: 'Beegarden',
  data() {
    return {
      beegardens: '',
      responseData: ''
    };
  },
  computed: {
    currentUser() {
      return this.$store.state.auth.user;
    }
  },
  mounted() {

    if (!this.currentUser) {
      this.$router.push('/login');
    } else {
      BeegardenService.getAllBeegardensFromUser(this.currentUser.id).then(
          response => {
            this.beegardens = response.data;
          },
          error => {
            this.beegardens =
                (error.response && error.response.data && error.response.data.message) ||
                error.message ||
                error.toString();
          }
      );
    }
  },
  methods: {
    openSpecificBeegarden(beegardenId) {
      this.$router.push('/beehives?beegardenid=' + beegardenId);
    }
  }
};
</script>
